Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ObjectReferenceTemplateSeq Class Reference

`#include <ObjectReferenceTemplateC.h>`

Inheritance diagram for PortableInterceptor::ObjectReferenceTemplateSeq:

[legend]
Collaboration diagram for PortableInterceptor::ObjectReferenceTemplateSeq:

[legend]
List of all members.

## Public Types
typedef ObjectReferenceTemplateSeq_var | _var_type
## Public Methods
| ObjectReferenceTemplateSeq (void)
| ObjectReferenceTemplateSeq (CORBA::ULong max)
| ObjectReferenceTemplateSeq (CORBA::ULong max, CORBA::ULong length, ObjectReferenceTemplate_ptr *buffer, CORBA::Boolean release=0)
| ObjectReferenceTemplateSeq (const ObjectReferenceTemplateSeq &)
| ~ObjectReferenceTemplateSeq (void)
## Static Public Methods
void | _tao_any_destructor (void *)

## Member Typedef Documentation

typedef ObjectReferenceTemplateSeq_var PortableInterceptor::ObjectReferenceTemplateSeq::_var_type

## Constructor & Destructor Documentation

PortableInterceptor::ObjectReferenceTemplateSeq::ObjectReferenceTemplateSeq | ( | void |  | ) |

PortableInterceptor::ObjectReferenceTemplateSeq::ObjectReferenceTemplateSeq | ( | CORBA::ULong | max | ) |

PortableInterceptor::ObjectReferenceTemplateSeq::ObjectReferenceTemplateSeq | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | PortableInterceptor::ObjectReferenceTemplate_ptr * | buffer,
|  | CORBA::Boolean | release = 0
| ) |

PortableInterceptor::ObjectReferenceTemplateSeq::ObjectReferenceTemplateSeq | ( | const ObjectReferenceTemplateSeq & | seq | ) |

PortableInterceptor::ObjectReferenceTemplateSeq::~ObjectReferenceTemplateSeq | ( | void |  | ) |

## Member Function Documentation

void PortableInterceptor::ObjectReferenceTemplateSeq::_tao_any_destructor | ( | void * | _tao_void_pointer | ) | `[static]`

The documentation for this class was generated from the following files:

- ObjectReferenceTemplateC.h
- ObjectReferenceTemplateC.cpp